Страница 1 из 1

FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 14:56:24
xaker1
Есть система с php 5.3. Нужно поставить Zend Guard.
Скачал и подключил линуховую версию.

Код: Выделить всё

Failed loading /usr/local/lib/php/20060613/ZendGuardLoader.so:  Shared object "libdl.so.2" not found, required by "ZendGuardLoader.so"
Подскажите, пожалуйста, где найти libdl.so.2?

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 16:21:43
xaker1
Установил Linux библиотеки, теперь
Failed loading /usr/local/lib/php/20060613/ZendGuardLoader.so: /lib/libdl.so.2: unsupported file layout

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 18:01:25
Alex Keda
однако, и пых придётся тогда линуксовый тащщить

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 18:04:17
xaker1
А без линухового пыха что можно сделать?

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 18:05:31
Alex Keda
ничё =))
---
я для себя пока забил на эту проблему

да, возможно лишимся 1-2% клиентов, стока же в доходе
это некритично.

а вообще, бродит в башке мысль зарегатсья на зенде и в лоб в тикетнице тамошней спросить - сколько они хотят денег за компиляцию оптимайзера под 64 бита, пых 5.3, 8.2 или 9.0 FreeBSD
если чё-то в разумных пределах - может и оплатим даже.

вот тока лень ... =(
да и не надо мне этого.
мне проще сказать клиентам чтоб пинали разрабов на версию под ионкубе

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 18:07:38
xaker1
Эх... буду мучать разраба. Самому под билинг нужен гард.

Re: FreeBSD, php 5.3, Zend Guard

Добавлено: 2011-10-02 18:09:11
Alex Keda
мигрируйте на бесплатное решение - www.joonte.com
если чего-то не хватает - всегда можно допилить самому.